com.genesyslab.wfm7.API.service.forecast761

## Class FrcPeriodParameters

- java.lang.Object
- - com.genesyslab.wfm7.API.service.forecast761.FrcPeriodParameters

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcPeriodParameters
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private double` | `abandonTime` Time to abandon, in seconds
    `private double` | `dailyPaidHours` Daily paid hours
    `private double` | `end` Period end date
    `private int` | `fixedAgents` Number of agents
    `private double` | `fixedAHT` Constant Average Handle Time
    `private double` | `serviceTime` Service time, in seconds
    `private double` | `start` Period start date
    `private double` | `wage` Hourly wage

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcPeriodParameters()`
    `FrcPeriodParameters(double start, double end, double serviceTime, double abandonTime, double dailyPaidHours, double wage, int fixedAgents, double fixedAHT)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `double` | `getAbandonTime()` Gets the abandonTime value for this FrcPeriodParameters.
    `double` | `getDailyPaidHours()` Gets the dailyPaidHours value for this FrcPeriodParameters.
    `double` | `getEnd()` Gets the end value for this FrcPeriodParameters.
    `int` | `getFixedAgents()` Gets the fixedAgents value for this FrcPeriodParameters.
    `double` | `getFixedAHT()` Gets the fixedAHT value for this FrcPeriodParameters.
    `double` | `getServiceTime()` Gets the serviceTime value for this FrcPeriodParameters.
    `double` | `getStart()` Gets the start value for this FrcPeriodParameters.
    `double` | `getWage()` Gets the wage value for this FrcPeriodParameters.
    `int` | `hashCode()`
    `void` | `setAbandonTime(double abandonTime)` Sets the abandonTime value for this FrcPeriodParameters.
    `void` | `setDailyPaidHours(double dailyPaidHours)` Sets the dailyPaidHours value for this FrcPeriodParameters.
    `void` | `setEnd(double end)` Sets the end value for this FrcPeriodParameters.
    `void` | `setFixedAgents(int fixedAgents)` Sets the fixedAgents value for this FrcPeriodParameters.
    `void` | `setFixedAHT(double fixedAHT)` Sets the fixedAHT value for this FrcPeriodParameters.
    `void` | `setServiceTime(double serviceTime)` Sets the serviceTime value for this FrcPeriodParameters.
    `void` | `setStart(double start)` Sets the start value for this FrcPeriodParameters.
    `void` | `setWage(double wage)` Sets the wage value for this FrcPeriodParameters.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### start

          private double start

      Period start date

    - #### end

          private double end

      Period end date

    - #### serviceTime

          private double serviceTime

      Service time, in seconds

    - #### abandonTime

          private double abandonTime

      Time to abandon, in seconds

    - #### dailyPaidHours

          private double dailyPaidHours

      Daily paid hours

    - #### wage

          private double wage

      Hourly wage

    - #### fixedAgents

          private int fixedAgents

      Number of agents

    - #### fixedAHT

          private double fixedAHT

      Constant Average Handle Time

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### FrcPeriodParameters

          public FrcPeriodParameters()

    - #### FrcPeriodParameters

          public FrcPeriodParameters(double start,
                             double end,
                             double serviceTime,
                             double abandonTime,
                             double dailyPaidHours,
                             double wage,
                             int fixedAgents,
                             double fixedAHT)

  - ### Method Detail

    - #### getStart

          public double getStart()

      Gets the start value for this FrcPeriodParameters.
      Returns:
        start Period start date

    - #### setStart

          public void setStart(double start)

      Sets the start value for this FrcPeriodParameters.
      Parameters:
        `start` - Period start date

    - #### getEnd

          public double getEnd()

      Gets the end value for this FrcPeriodParameters.
      Returns:
        end Period end date

    - #### setEnd

          public void setEnd(double end)

      Sets the end value for this FrcPeriodParameters.
      Parameters:
        `end` - Period end date

    - #### getServiceTime

          public double getServiceTime()

      Gets the serviceTime value for this FrcPeriodParameters.
      Returns:
        serviceTime Service time value in seconds

    - #### setServiceTime

          public void setServiceTime(double serviceTime)

      Sets the serviceTime value for this FrcPeriodParameters.
      Parameters:
        `serviceTime` - Service time value in seconds

    - #### getAbandonTime

          public double getAbandonTime()

      Gets the abandonTime value for this FrcPeriodParameters.
      Returns:
        abandonTime Time to abandon value in seconds

    - #### setAbandonTime

          public void setAbandonTime(double abandonTime)

      Sets the abandonTime value for this FrcPeriodParameters.
      Parameters:
        `abandonTime` - Time to abandon value in seconds

    - #### getDailyPaidHours

          public double getDailyPaidHours()

      Gets the dailyPaidHours value for this FrcPeriodParameters.
      Returns:
        dailyPaidHours Paid hours a day value

    - #### setDailyPaidHours

          public void setDailyPaidHours(double dailyPaidHours)

      Sets the dailyPaidHours value for this FrcPeriodParameters.
      Parameters:
        `dailyPaidHours` - Paid hours a day value

    - #### getWage

          public double getWage()

      Gets the wage value for this FrcPeriodParameters.
      Returns:
        wage Hourly wage

    - #### setWage

          public void setWage(double wage)

      Sets the wage value for this FrcPeriodParameters.
      Parameters:
        `wage` - Hourly wage

    - #### getFixedAgents

          public int getFixedAgents()

      Gets the fixedAgents value for this FrcPeriodParameters.
      Returns:
        fixedAgents Number of agents

    - #### setFixedAgents

          public void setFixedAgents(int fixedAgents)

      Sets the fixedAgents value for this FrcPeriodParameters.
      Parameters:
        `fixedAgents` - Number of agents

    - #### getFixedAHT

          public double getFixedAHT()

      Gets the fixedAHT value for this FrcPeriodParameters.
      Returns:
        fixedAHT Constant AHT value in seconds

    - #### setFixedAHT

          public void setFixedAHT(double fixedAHT)

      Sets the fixedAHT value for this FrcPeriodParameters.
      Parameters:
        `fixedAHT` - Constant AHT value in seconds

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.